ListBoxItem (Javadocs: controlP5)

controlP5

## Class ListBoxItem

- java.lang.Object
- - controlP5.ListBoxItem

-     public class ListBoxItem
      extends java.lang.Object

  Used by the ListBox class.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CColor` | `getColor()`
    `int` | `getId()` returns the id of a listboxitem.
    `java.lang.String` | `getName()` returns the name of the listboxitem.
    `java.lang.String` | `getText()` returns the text displayed for this listboxitem.
    `boolean` | `getToUpperCase()` returns the uppercase status of this listboxitem.
    `int` | `getValue()` returns the value of the listboxitem.
    `boolean` | `isActive()` TODO no effect yet.
    `void` | `setColor(CColor theColor)`
    `void` | `setColorActive(int theColor)`
    `void` | `setColorBackground(int theColor)`
    `void` | `setColorForeground(int theColor)`
    `void` | `setColorLabel(int theColor)`
    `void` | `setId(int theId)` set the id of a listboxitem
    `ListBoxItem` | `setText(java.lang.String theText)` change text text of a lsitboxitem's label.
    `java.lang.String` | `toString()`
    `void` | `toUpperCase(boolean theFlag)` by default the text of a listboxitem is set to uppercase, use toUpperCase(false) to make changes.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getColor

          public CColor getColor()

    - #### getId

          public int getId()

      returns the id of a listboxitem.
      Returns:
        int

    - #### getName

          public java.lang.String getName()

      returns the name of the listboxitem. use ListBox.itme(ListBoxItem.getName()) to access a listboxitem by name.

    - #### getText

          public java.lang.String getText()

      returns the text displayed for this listboxitem. use setText(String) to apply changes.
      Returns:

    - #### getToUpperCase

          public boolean getToUpperCase()

      returns the uppercase status of this listboxitem.
      Returns:

    - #### getValue

          public int getValue()

      returns the value of the listboxitem.
      Returns:
        int

    - #### isActive

          public boolean isActive()

      TODO no effect yet.
      Returns:

    - #### setColor

          public void setColor(CColor theColor)

    - #### setColorActive

          public void setColorActive(int theColor)

    - #### setColorBackground

          public void setColorBackground(int theColor)

    - #### setColorForeground

          public void setColorForeground(int theColor)

    - #### setColorLabel

          public void setColorLabel(int theColor)

    - #### setId

          public void setId(int theId)

      set the id of a listboxitem
      Parameters:
        `theId` -

    - #### setText

          public ListBoxItem setText(java.lang.String theText)

      change text text of a lsitboxitem's label.
      Parameters:
        `theText` -

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toUpperCase

          public void toUpperCase(boolean theFlag)

      by default the text of a listboxitem is set to uppercase, use toUpperCase(false) to make changes.
      Parameters:
        `theFlag` -

processing library controlP5 by Andreas Schlegel. (c) 2006-2014